// Manually injecting TailwindCSS into the DOM
import tailwind from 'tailwindcss/tailwind.css?inline';
import injectCSS from 'style-inject';
injectCSS(tailwind);

import VAlert from "./components/v-alert.vue"
// import VAvatar from "./components/v-avatar.vue"
import VBadge from "./components/v-badge.vue"
import VButton from "./components/v-button.vue"
import VIcon from "./components/v-icon.vue"
import VInput from "./components/v-input.vue"
import VPagination from "./components/v-pagination.vue"

const components = [
  VAlert,
  VBadge,
  VButton,
  VIcon,
  VInput,
  VPagination
]

const install = (Vue, opt) => {
  if (install.installed) return
  components.forEach(component => {
    Vue.component(component.name, component)
  })
}

export default install